Package org.codehaus.commons.compiler.util.resource

# Class ZipFileResourceFinder

java.lang.Object
org.codehaus.commons.compiler.util.resource.ResourceFinder
org.codehaus.commons.compiler.util.resource.ZipFileResourceFinder

public class ZipFileResourceFinder extends ResourceFinder
A `ResourceFinder` that finds resources in a ZIP file.

## Field Summary

### Fields inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`EMPTY_RESOURCE_FINDER`

## Constructor Summary

Constructors
Constructor
Description
`ZipFileResourceFinder(ZipFile zipFile)`

## Method Summary

Modifier and Type
Method
Description
`final Resource`
`findResource(String resourceName)`
Finds a resource by name and return it as a `Resource` object.
`final String`
`toString()`

### Methods inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`findResourceAsStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipFileResourceFinder

public ZipFileResourceFinder(ZipFile zipFile)

## Method Details

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### findResource

@Nullable public final Resource findResource(String resourceName)
Description copied from class: `ResourceFinder`
Finds a resource by name and return it as a `Resource` object.

Specified by:
  `findResource` in class `ResourceFinder`
Parameters:
  `resourceName` - Designates the resource; typically structured by slashes ("/") like "`com/foo/pkg/Bar.class`"
Returns:
  `null` if the resource could not be found